org.apache.velocity.tools.view

## Class UAParser.UserAgent

- java.lang.Object
- - org.apache.velocity.tools.view.UAParser.UserAgent

All Implemented Interfaces:
  Serializable

Enclosing class:
  UAParser

    public static class UAParser.UserAgent
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UserAgent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UAParser.UAEntity` `getBrowser()`
`UAParser.DeviceType` `getDeviceType()`
`UAParser.UAEntity` `getOperatingSystem()`
`UAParser.UAEntity` `getRenderingEngine()`
`protected void` `setBrowser(String entity, String major, String minor)`
`protected void` `setDeviceType(UAParser.DeviceType deviceType)`
`protected void` `setOperatingSystem(String entity, String major, String minor)`
`protected void` `setRenderingEngine(String entity, String major, String minor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserAgent

    public UserAgent()

### Method Detail

#### getDeviceType

    public UAParser.DeviceType getDeviceType()

#### getOperatingSystem

    public UAParser.UAEntity getOperatingSystem()

#### getBrowser

    public UAParser.UAEntity getBrowser()

#### getRenderingEngine

    public UAParser.UAEntity getRenderingEngine()

#### setOperatingSystem

    protected void setOperatingSystem(String entity,
                                      String major,
                                      String minor)

#### setBrowser

    protected void setBrowser(String entity,
                              String major,
                              String minor)

#### setRenderingEngine

    protected void setRenderingEngine(String entity,
                                      String major,
                                      String minor)

#### setDeviceType

    protected void setDeviceType(UAParser.DeviceType deviceType)